## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     grpc-google-iam-v1
%global         forgeurl    https://github.com/googleapis/python-grpc-google-iam-v1
Version:        0.12.4
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        GRPC library for the google-iam-v1 service

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
The IDL-derived library for the google-iam (v1) service in Google Cloud.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{python3_sitelib}/grpc_google_iam_v1-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 0.12.4-7
- Rebuilt for Python 3.11

* Thu Jun 02 2022 Major Hayden <major@redhat.com> - 0.12.4-6
- Use forge macros for source

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-5
- Don’t use deprecated zero-argument pypi_source

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-4
- Drop “-r” from pyproject_buildrequires

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-3
- Stop explicitly listing the LICENSE file

* Thu Jun 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-2
- Add import-only “smoke test”

* Thu Apr 14 2022 Major Hayden <major@mhtx.net> - 0.12.4-1
- Update to 0.12.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 0.12.3-2
- Move to rpmautospec

* Tue Aug 24 2021 Major Hayden <major@mhtx.net> - 0.12.3-1
- Initial import (#1996870)
